/*MV*/

$(function(){

  $(".maskBox").live({mouseenter:function(){

	  $(this).find(".maskDis").fadeIn(200);

      },mouseleave:function () {

      $(this).find(".maskDis").fadeOut(100);            

      }

  });

});

/*¿ìËÙ²¥·Å*/

var t2=0;

var show=false;

function tipfunc(){

	var a=document.getElementById("tipcontent");

	if(a==null)return;

	with(a){

		var ti=getElementsByTagName("a");

		for(var i=0;i<ti.length;i++){

			ti[i].onmouseover=function(){

				var links=this.href.toLowerCase();

				if(links.indexOf('/zhuanji/')!=-1 || links.indexOf('/geshou/')!=-1){

					if(links.indexOf('/zhuanji/')!=-1){

						var ztid=links.split("/zhuanji/")[1].replace(".htm","");

						if(ztid.indexOf("taste")!=-1){

							var url="/play.htm#taste-"+ztid.replace("taste","");

						}else{

							if(ztid==3){

								var url="/play.htm#zhuanji-77";

							}else{

								var url="/play.htm#zhuanti-"+ztid;

							}

						}

					}else{

						var ztid=links.split("/geshou/")[1].replace(".htm","");

						var url="/play.htm#geshou-"+ztid;

					}

					clearTimeout(t2);

					var str="";

					str+="<a class='fixPlay' href=\""+url+"\" target=_blank onmouseover='show=true' onmouseout='show=false;notip();'></a>";

					var top=getTop(this)+20;

					var left=getLeft(this);

					with(document.getElementById("kstips")){

						innerHTML=str;

						style.display="block";

						style.cssText="position:absolute;left:"+left+"px;top:"+top+"px;";

					}

					show=true;

				}else{

					show=false;

					notip();

				}

			}

			ti[i].onmouseout=function(){

				show=false;

				t2=setTimeout("notip()",1000);

			}

		}		

	}

}

function notip(){

	if(show==false){

		document.getElementById("kstips").style.display="none";	

	}

}

function getTop(e){

	var offset=e.offsetTop;

	if(e.offsetParent!=null) offset+=getTop(e.offsetParent);

	return offset;

}

function getLeft(e2) {

	if (e2.offsetParent)

		return (e2.offsetLeft + getLeft(e2.offsetParent));

	else 

		return (e2.offsetLeft);

}

tipfunc();